<div class="input-menu" {{did-insert this.setup}}>
  <DragSortList class="input-menu-first-level" @isHorizontal={{false}} @items={{this.value.items}} @dragEndAction={{this.dragItemEnd}} @handle=".handler" as |item index|>
    <Editor::Properties::OptionContainer @label={{t "option-panel.menu-button-title" index=(sum index 1)}}>

      <div class="input-menu-item-group d-flex flex-wrap align-items-center">
        <div class="w-100 d-flex">
          <div class="handler drag-handler" draggable="true">
            <FaIcon @icon="arrows-alt-v" />
          </div>

          <div class="flex-fill">
            {{#if (gt item.dropDown.length 0)}}
              <Input::Text class="form-control text-name" @value={{item.name}} @onChange={{fn this.updateItemName index}} />
            {{else}}
              <Editor::Properties::LinkNamed @value={{item}} @space={{@space}} @onChange={{fn this.changeItem index}} />
            {{/if}}
          </div>

          <div>
            <button class="btn btn-danger btn-delete" type="button" {{on "click" (fn this.deleteItem index)}}>
              <FaIcon @icon="trash" />
            </button>
          </div>
        </div>

        <div class="w-100">

          <DragSortList class="input-menu-second-level" @isHorizontal={{false}} @items={{item.dropDown}} @dragEndAction={{fn this.dragSubitemEnd index}} @handle=".handler-sub" as |subitem subindex|>
            <Editor::Properties::OptionContainer class="ms-4" @label={{t "option-panel.menu-button-title-child" index=(sum subindex 1)}}>
              <div class="input-menu-subitem-group d-flex flex-wrap align-items-center">
                <div class="w-100 d-flex">
                  <div class="handler-sub" draggable="true">
                    <FaIcon @icon="arrows-alt-v" />
                  </div>

                  <div class="flex-fill">
                    <Editor::Properties::LinkNamed @value={{subitem}} @space={{@space}} @onChange={{fn this.changeSubitem index subindex}} />
                  </div>
                  <div>
                    <button class="btn btn-danger btn-delete" type="button" {{on "click" (fn this.deleteSubItem index subindex)}}>
                      <FaIcon @icon="trash" />
                    </button>
                  </div>
                </div>
              </div>
            </Editor::Properties::OptionContainer>
          </DragSortList>

          <button type="button" class="btn btn-outline-secondary btn-add-sub-menu-item" {{on "click" (fn this.addSubItem index)}}>
            <FaIcon @icon="plus" />
            {{capitalize (t "submenu item")}}
          </button>
        </div>
      </div>
    </Editor::Properties::OptionContainer>
  </DragSortList>

  <button type="button" class="btn btn-outline-secondary btn-add-menu-item" {{on "click" this.addItem}}>
    <FaIcon @icon="plus" />
    {{capitalize (t "menu item")}}
  </button>
</div>